### Function

# Gcr trust_is_certificate_distrusted

#### Declaration [src]

    gboolean
    gcr_trust_is_certificate_distrusted (
      unsigned char* serial_nr,
      size_t serial_nr_len,
      unsigned char* issuer,
      size_t issuer_len,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Checks whether the certificate that can be uniquely identified with the given `serial_nr` and `issuer` is marked as distrusted (for example by the user, or because it’s part of a CRL).

Since we can’t directly use `GcrCertificate` to fetch these values, you need to call these with the raw serial number and issuer as provided by the PKCS#11 fields `CKA_SERIAL_NR` and `CKA_ISSUER`.

#### Parameters

`serial_nr` | An array of `unsigned char`
| The serial number of the certificate.
| The length of the array is specified in the `serial_nr_len` argument.
| The data is owned by the caller of the function.
`serial_nr_len` | `size_t`
| The nr of bytes in `serial_nr`.
`issuer` | An array of `unsigned char`
| The raw issuer.
| The length of the array is specified in the `issuer_len` argument.
| The data is owned by the caller of the function.
`issuer_len` | `size_t`
| The nr of bytes in `issuer`.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the certificate is marked as distrusted.